# MCAssert.h File Reference

## Defines
#define | kMCStrUnderConstruction "Not Yet Implemented"
#define | kMCStrBadPtr "Bad Pointer"
#define | Assert(e)
#define | Verify(e) (e)
#define | MCAssert(e)
#define | MCAssertMCSizeCanFit(value, testType)
#define | MCAssertCanFit(value, testType, origType)
#define | MCVerify(e) (e)
#define | MCVerifyNot(e) (e)
#define | MCNotify(e)
#define | MCNotifyN(e1, e2)
#define | MCNotifyN2(e1, e2, e3)
#define | MCIncomplete()
#define | MCAssertPointerCheck(_ptr)
#define | MCCheckDeceased(_ptr) ((_ptr) == kDeceasedPointerValue)
#define | MCAssertMessage(_msg) MCNotify(_msg)
#define | MCAssertIfFalse(_condition) MCAssert(_condition)
#define | MCAssertIfTrue(_condition) MCAssert(!(_condition))
## Functions
void | MCAssert_ActivateDialogs (void)
template<class T >
T | MCPointerSignedConvert (void *ptr)
template<class T >
T | MCPointerUnsignedConvert (void *ptr)
template<class T >
void * | MCSignedPointerConvert (const T &v)
template<class T >
void * | MCUnsignedPointerConvert (const T &v)
void | MC_CallAssert_ (pointer f, uint32 l)
void | MC_CallNotify_ (pointer f, uint32 l, const char *message)
void | MC_CallNotify_ (pointer f, uint32 l, const char *message, real number)
void | MC_CallNotify_ (pointer f, uint32 l, const char *message, real number1, real number2)
void | MC_DisplayMessageQuiet (const char *message)
boolean | IsDisplayingAssert ()
## Variables
static const void * | kDeceasedPointerValue = (const void*)0xDECEA5ED

## Define Documentation

#define Assert | ( | e |  | ) |

#define kMCStrBadPtr "Bad Pointer"

#define kMCStrUnderConstruction "Not Yet Implemented"

#define MCAssert | ( | e |  | ) |

#define MCAssertCanFit | ( | value,
|  | testType,
|  | origType |  | ) |

#define MCAssertIfFalse | ( | _condition |  | ) | MCAssert(_condition)

#define MCAssertIfTrue | ( | _condition |  | ) | MCAssert(!(_condition))

#define MCAssertMCSizeCanFit | ( | value,
|  | testType |  | ) |

#define MCAssertMessage | ( | _msg |  | ) | MCNotify(_msg)

#define MCAssertPointerCheck | ( | _ptr |  | ) |

#define MCCheckDeceased | ( | _ptr |  | ) | ((_ptr) == kDeceasedPointerValue)

#define MCIncomplete | ( |  | ) |

#define MCNotify | ( | e |  | ) |

#define MCNotifyN | ( | e1,
|  | e2 |  | ) |

#define MCNotifyN2 | ( | e1,
|  | e2,
|  | e3 |  | ) |

#define MCVerify | ( | e |  | ) | (e)

#define MCVerifyNot | ( | e |  | ) | (e)

#define Verify | ( | e |  | ) | (e)

## Function Documentation

boolean IsDisplayingAssert | ( |  | ) |

void MC_CallAssert_ | ( | pointer | f,
|  | uint32 | l |
| ) |  |  |

void MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message,
|  | real | number1,
|  | real | number2 |
| ) |  |  |

void MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message,
|  | real | number |
| ) |  |  |

void MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message |
| ) |  |  |

void MC_DisplayMessageQuiet | ( | const char * | message | ) |

void MCAssert_ActivateDialogs | ( | void |  | ) |

template<class T >

T MCPointerSignedConvert | ( | void * | ptr | ) | `[inline]`

template<class T >

T MCPointerUnsignedConvert | ( | void * | ptr | ) | `[inline]`

template<class T >

void* MCSignedPointerConvert | ( | const T & | v | ) | `[inline]`

template<class T >

void* MCUnsignedPointerConvert | ( | const T & | v | ) | `[inline]`

## Variable Documentation

const void* kDeceasedPointerValue = (const void*)0xDECEA5ED`[static]`